# GstGLWindow

GstGLWindow represents a window that elements can render into. A window can either be a user visible window (onscreen) or hidden (offscreen).

## GstGLWindow

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLWindow

GstGLWindow is an opaque struct and should only be accessed through the provided api.

### Class structure

#### GstGLWindowClass

##### Fields

`parent_class` (GstObjectClass) –

Parent class

### GstGL.GLWindowClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

Parent class

### GstGL.GLWindowClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

Parent class

## GstGL.GLWindow

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLWindow

GstGL.GLWindow is an opaque struct and should only be accessed through the provided api.

## GstGL.GLWindow

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLWindow

GstGL.GLWindow is an opaque struct and should only be accessed through the provided api.

### Constructors

#### gst_gl_window_new

    GstGLWindow *
    gst_gl_window_new (GstGLDisplay * display)

Parameters:

`display` –

a GstGLDisplay

Returns ( [transfer: full]) –

a new GstGLWindow using display's connection

Since : 1.4

#### GstGL.GLWindow.prototype.new

    function GstGL.GLWindow.prototype.new(display: GstGL.GLDisplay): {
        // javascript wrapper for 'gst_gl_window_new'
    }

Parameters:

`display` (GstGL.GLDisplay) –

a GstGL.GLDisplay

Returns (GstGL.GLWindow) –

a new GstGL.GLWindow using display's connection

Since : 1.4

#### GstGL.GLWindow.new

    def GstGL.GLWindow.new (display):
        #python wrapper for 'gst_gl_window_new'

Parameters:

`display` (GstGL.GLDisplay) –

a GstGL.GLDisplay

Returns (GstGL.GLWindow) –

a new GstGL.GLWindow using display's connection

Since : 1.4

### Methods

#### gst_gl_window_controls_viewport

    gboolean
    gst_gl_window_controls_viewport (GstGLWindow * window)

Checks if window controls the GL viewport.

Parameters:

`window` –

a GstGLWindow

Returns –

TRUE if window controls the GL viewport, otherwise FALSE

Since : 1.16

#### GstGL.GLWindow.prototype.controls_viewport

    function GstGL.GLWindow.prototype.controls_viewport(): {
        // javascript wrapper for 'gst_gl_window_controls_viewport'
    }

Checks if window controls the GL viewport.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (Number) –

true if window controls the GL viewport, otherwise false

Since : 1.16

#### GstGL.GLWindow.controls_viewport

    def GstGL.GLWindow.controls_viewport (self):
        #python wrapper for 'gst_gl_window_controls_viewport'

Checks if window controls the GL viewport.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (bool) –

True if window controls the GL viewport, otherwise False

Since : 1.16

#### gst_gl_window_draw

    gst_gl_window_draw (GstGLWindow * window)

Redraw the window contents. Implementations should invoke the draw callback.

Parameters:

`window` –

a GstGLWindow

Since : 1.4

#### GstGL.GLWindow.prototype.draw

    function GstGL.GLWindow.prototype.draw(): {
        // javascript wrapper for 'gst_gl_window_draw'
    }

Redraw the window contents. Implementations should invoke the draw callback.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.4

#### GstGL.GLWindow.draw

    def GstGL.GLWindow.draw (self):
        #python wrapper for 'gst_gl_window_draw'

Redraw the window contents. Implementations should invoke the draw callback.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.4

#### gst_gl_window_get_context

    GstGLContext *
    gst_gl_window_get_context (GstGLWindow * window)

Parameters:

`window` –

a GstGLWindow

Returns ( [transfer: full]) –

the GstGLContext associated with this window

Since : 1.4

#### GstGL.GLWindow.prototype.get_context

    function GstGL.GLWindow.prototype.get_context(): {
        // javascript wrapper for 'gst_gl_window_get_context'
    }

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (GstGL.GLContext) –

the GstGL.GLContext associated with this window

Since : 1.4

#### GstGL.GLWindow.get_context

    def GstGL.GLWindow.get_context (self):
        #python wrapper for 'gst_gl_window_get_context'

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (GstGL.GLContext) –

the GstGL.GLContext associated with this window

Since : 1.4

#### gst_gl_window_get_display

    guintptr
    gst_gl_window_get_display (GstGLWindow * window)

Parameters:

`window` –

a GstGLWindow

Returns –

the windowing system display handle for this window

Since : 1.4

#### GstGL.GLWindow.prototype.get_display

    function GstGL.GLWindow.prototype.get_display(): {
        // javascript wrapper for 'gst_gl_window_get_display'
    }

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (Number) –

the windowing system display handle for this window

Since : 1.4

#### GstGL.GLWindow.get_display

    def GstGL.GLWindow.get_display (self):
        #python wrapper for 'gst_gl_window_get_display'

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (int) –

the windowing system display handle for this window

Since : 1.4

#### gst_gl_window_get_request_output_surface

    gboolean
    gst_gl_window_get_request_output_surface (GstGLWindow * window)

Parameters:

`window` –

a GstGLWindow

Returns –

whether an visible output surface has been requested

Since : 1.28

#### GstGL.GLWindow.prototype.get_request_output_surface

    function GstGL.GLWindow.prototype.get_request_output_surface(): {
        // javascript wrapper for 'gst_gl_window_get_request_output_surface'
    }

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (Number) –

whether an visible output surface has been requested

Since : 1.28

#### GstGL.GLWindow.get_request_output_surface

    def GstGL.GLWindow.get_request_output_surface (self):
        #python wrapper for 'gst_gl_window_get_request_output_surface'

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (bool) –

whether an visible output surface has been requested

Since : 1.28

#### gst_gl_window_get_surface_dimensions

    gst_gl_window_get_surface_dimensions (GstGLWindow * window,
                                          guint * width,
                                          guint * height)

Parameters:

`window` –

a GstGLWindow

`width` ( [out]) –

resulting surface width

`height` ( [out]) –

resulting surface height

Since : 1.6

#### GstGL.GLWindow.prototype.get_surface_dimensions

    function GstGL.GLWindow.prototype.get_surface_dimensions(): {
        // javascript wrapper for 'gst_gl_window_get_surface_dimensions'
    }

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.6

#### GstGL.GLWindow.get_surface_dimensions

    def GstGL.GLWindow.get_surface_dimensions (self):
        #python wrapper for 'gst_gl_window_get_surface_dimensions'

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.6

#### gst_gl_window_get_window_handle

    guintptr
    gst_gl_window_get_window_handle (GstGLWindow * window)

Parameters:

`window` –

a GstGLWindow

Returns –

the window handle we are currently rendering into

Since : 1.4

#### GstGL.GLWindow.prototype.get_window_handle

    function GstGL.GLWindow.prototype.get_window_handle(): {
        // javascript wrapper for 'gst_gl_window_get_window_handle'
    }

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (Number) –

the window handle we are currently rendering into

Since : 1.4

#### GstGL.GLWindow.get_window_handle

    def GstGL.GLWindow.get_window_handle (self):
        #python wrapper for 'gst_gl_window_get_window_handle'

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (int) –

the window handle we are currently rendering into

Since : 1.4

#### gst_gl_window_handle_events

    gst_gl_window_handle_events (GstGLWindow * window,
                                 gboolean handle_events)

Tell a window that it should handle events from the window system. These events are forwarded upstream as navigation events. In some window systems events are not propagated in the window hierarchy if a client is listening for them. This method allows you to disable events handling completely from the window.

Parameters:

`window` –

a GstGLWindow

`handle_events` –

a gboolean indicating if events should be handled or not.

#### GstGL.GLWindow.prototype.handle_events

    function GstGL.GLWindow.prototype.handle_events(handle_events: Number): {
        // javascript wrapper for 'gst_gl_window_handle_events'
    }

Tell a window that it should handle events from the window system. These events are forwarded upstream as navigation events. In some window systems events are not propagated in the window hierarchy if a client is listening for them. This method allows you to disable events handling completely from the window.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`handle_events` (Number) –

a Number indicating if events should be handled or not.

#### GstGL.GLWindow.handle_events

    def GstGL.GLWindow.handle_events (self, handle_events):
        #python wrapper for 'gst_gl_window_handle_events'

Tell a window that it should handle events from the window system. These events are forwarded upstream as navigation events. In some window systems events are not propagated in the window hierarchy if a client is listening for them. This method allows you to disable events handling completely from the window.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`handle_events` (bool) –

a bool indicating if events should be handled or not.

#### gst_gl_window_has_output_surface

    gboolean
    gst_gl_window_has_output_surface (GstGLWindow * window)

Query whether window has output surface or not

Parameters:

`window` –

a GstGLWindow

Returns –

TRUE if window has useable output surface

Since : 1.18

#### GstGL.GLWindow.prototype.has_output_surface

    function GstGL.GLWindow.prototype.has_output_surface(): {
        // javascript wrapper for 'gst_gl_window_has_output_surface'
    }

Query whether window has output surface or not

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (Number) –

true if window has useable output surface

Since : 1.18

#### GstGL.GLWindow.has_output_surface

    def GstGL.GLWindow.has_output_surface (self):
        #python wrapper for 'gst_gl_window_has_output_surface'

Query whether window has output surface or not

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Returns (bool) –

True if window has useable output surface

Since : 1.18

#### gst_gl_window_queue_resize

    gst_gl_window_queue_resize (GstGLWindow * window)

Queue resizing of window.

Parameters:

`window` –

a GstGLWindow

#### GstGL.GLWindow.prototype.queue_resize

    function GstGL.GLWindow.prototype.queue_resize(): {
        // javascript wrapper for 'gst_gl_window_queue_resize'
    }

Queue resizing of window.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

#### GstGL.GLWindow.queue_resize

    def GstGL.GLWindow.queue_resize (self):
        #python wrapper for 'gst_gl_window_queue_resize'

Queue resizing of window.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

#### gst_gl_window_quit

    gst_gl_window_quit (GstGLWindow * window)

Quit the runloop's execution.

Parameters:

`window` –

a GstGLWindow

Since : 1.4

#### GstGL.GLWindow.prototype.quit

    function GstGL.GLWindow.prototype.quit(): {
        // javascript wrapper for 'gst_gl_window_quit'
    }

Quit the runloop's execution.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.4

#### GstGL.GLWindow.quit

    def GstGL.GLWindow.quit (self):
        #python wrapper for 'gst_gl_window_quit'

Quit the runloop's execution.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.4

#### gst_gl_window_resize

    gst_gl_window_resize (GstGLWindow * window,
                          guint width,
                          guint height)

Resize window to the given width and height.

Parameters:

`window` –

a GstGLWindow

`width` –

new width

`height` –

new height

#### GstGL.GLWindow.prototype.resize

    function GstGL.GLWindow.prototype.resize(width: Number, height: Number): {
        // javascript wrapper for 'gst_gl_window_resize'
    }

Resize window to the given width and height.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`width` (Number) –

new width

`height` (Number) –

new height

#### GstGL.GLWindow.resize

    def GstGL.GLWindow.resize (self, width, height):
        #python wrapper for 'gst_gl_window_resize'

Resize window to the given width and height.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`width` (int) –

new width

`height` (int) –

new height

#### gst_gl_window_run

    gst_gl_window_run (GstGLWindow * window)

Start the execution of the runloop.

Parameters:

`window` –

a GstGLWindow

Since : 1.4

#### GstGL.GLWindow.prototype.run

    function GstGL.GLWindow.prototype.run(): {
        // javascript wrapper for 'gst_gl_window_run'
    }

Start the execution of the runloop.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.4

#### GstGL.GLWindow.run

    def GstGL.GLWindow.run (self):
        #python wrapper for 'gst_gl_window_run'

Start the execution of the runloop.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.4

#### gst_gl_window_send_key_event

    gst_gl_window_send_key_event (GstGLWindow * window,
                                  const char* event_type,
                                  const char* key_str)

Parameters:

`window` –
No description available
`event_type` –
No description available
`key_str` –
No description available

#### GstGL.GLWindow.prototype.send_key_event

    function GstGL.GLWindow.prototype.send_key_event(event_type: String, key_str: String): {
        // javascript wrapper for 'gst_gl_window_send_key_event'
    }

Parameters:

`window` (GstGL.GLWindow) –
No description available
`event_type` (String) –
No description available
`key_str` (String) –
No description available

#### GstGL.GLWindow.send_key_event

    def GstGL.GLWindow.send_key_event (self, event_type, key_str):
        #python wrapper for 'gst_gl_window_send_key_event'

Parameters:

`window` (GstGL.GLWindow) –
No description available
`event_type` (str) –
No description available
`key_str` (str) –
No description available

#### gst_gl_window_send_message

    gst_gl_window_send_message (GstGLWindow * window,
                                GstGLWindowCB callback,
                                gpointer data)

Invoke callback with data on the window thread. callback is guaranteed to have executed when this function returns.

Parameters:

`window` –

a GstGLWindow

`callback` ( [scope async][closure]) –

function to invoke

`data` –

data to invoke callback with

Since : 1.4

#### GstGL.GLWindow.prototype.send_message

    function GstGL.GLWindow.prototype.send_message(callback: GstGL.GLWindowCB, data: Object): {
        // javascript wrapper for 'gst_gl_window_send_message'
    }

Invoke callback with data on the window thread. callback is guaranteed to have executed when this function returns.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (Object) –

data to invoke callback with

Since : 1.4

#### GstGL.GLWindow.send_message

    def GstGL.GLWindow.send_message (self, callback, *data):
        #python wrapper for 'gst_gl_window_send_message'

Invoke callback with data on the window thread. callback is guaranteed to have executed when this function returns.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (variadic) –

data to invoke callback with

Since : 1.4

#### gst_gl_window_send_message_async

    gst_gl_window_send_message_async (GstGLWindow * window,
                                      GstGLWindowCB callback,
                                      gpointer data,
                                      GDestroyNotify destroy)

Invoke callback with data on the window thread. The callback may not have been executed when this function returns.

Parameters:

`window` –

a GstGLWindow

`callback` ( [scope async][closure]) –

function to invoke

`data` –

data to invoke callback with

`destroy` –

called when data is not needed anymore

Since : 1.4

#### GstGL.GLWindow.prototype.send_message_async

    function GstGL.GLWindow.prototype.send_message_async(callback: GstGL.GLWindowCB, data: Object): {
        // javascript wrapper for 'gst_gl_window_send_message_async'
    }

Invoke callback with data on the window thread. The callback may not have been executed when this function returns.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (Object) –

data to invoke callback with

Since : 1.4

#### GstGL.GLWindow.send_message_async

    def GstGL.GLWindow.send_message_async (self, callback, *data):
        #python wrapper for 'gst_gl_window_send_message_async'

Invoke callback with data on the window thread. The callback may not have been executed when this function returns.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (variadic) –

data to invoke callback with

Since : 1.4

#### gst_gl_window_send_mouse_event

    gst_gl_window_send_mouse_event (GstGLWindow * window,
                                    const char* event_type,
                                    int button,
                                    double posx,
                                    double posy)

Parameters:

`window` –
No description available
`event_type` –
No description available
`button` –
No description available
`posx` –
No description available
`posy` –
No description available

#### GstGL.GLWindow.prototype.send_mouse_event

    function GstGL.GLWindow.prototype.send_mouse_event(event_type: String, button: Number, posx: Number, posy: Number): {
        // javascript wrapper for 'gst_gl_window_send_mouse_event'
    }

Parameters:

`window` (GstGL.GLWindow) –
No description available
`event_type` (String) –
No description available
`button` (Number) –
No description available
`posx` (Number) –
No description available
`posy` (Number) –
No description available

#### GstGL.GLWindow.send_mouse_event

    def GstGL.GLWindow.send_mouse_event (self, event_type, button, posx, posy):
        #python wrapper for 'gst_gl_window_send_mouse_event'

Parameters:

`window` (GstGL.GLWindow) –
No description available
`event_type` (str) –
No description available
`button` (int) –
No description available
`posx` (float) –
No description available
`posy` (float) –
No description available

#### gst_gl_window_send_scroll_event

    gst_gl_window_send_scroll_event (GstGLWindow * window,
                                     double posx,
                                     double posy,
                                     double delta_x,
                                     double delta_y)

Notify a window about a scroll event. A scroll signal holding the event coordinates will be emitted.

Parameters:

`window` –

a GstGLWindow

`posx` –

x position of the mouse cursor

`posy` –

y position of the mouse cursor

`delta_x` –

the x offset of the scroll event

`delta_y` –

the y offset of the scroll event

Since : 1.18

#### GstGL.GLWindow.prototype.send_scroll_event

    function GstGL.GLWindow.prototype.send_scroll_event(posx: Number, posy: Number, delta_x: Number, delta_y: Number): {
        // javascript wrapper for 'gst_gl_window_send_scroll_event'
    }

Notify a window about a scroll event. A scroll signal holding the event coordinates will be emitted.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`posx` (Number) –

x position of the mouse cursor

`posy` (Number) –

y position of the mouse cursor

`delta_x` (Number) –

the x offset of the scroll event

`delta_y` (Number) –

the y offset of the scroll event

Since : 1.18

#### GstGL.GLWindow.send_scroll_event

    def GstGL.GLWindow.send_scroll_event (self, posx, posy, delta_x, delta_y):
        #python wrapper for 'gst_gl_window_send_scroll_event'

Notify a window about a scroll event. A scroll signal holding the event coordinates will be emitted.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`posx` (float) –

x position of the mouse cursor

`posy` (float) –

y position of the mouse cursor

`delta_x` (float) –

the x offset of the scroll event

`delta_y` (float) –

the y offset of the scroll event

Since : 1.18

#### gst_gl_window_set_close_callback

    gst_gl_window_set_close_callback (GstGLWindow * window,
                                      GstGLWindowCB callback,
                                      gpointer data,
                                      GDestroyNotify destroy_notify)

Sets the callback called when the window is about to close.

Parameters:

`window` –

a GstGLWindow

`callback` ( [scope notified][closure]) –

function to invoke

`data` –

data to invoke callback with

`destroy_notify` –

called when data is not needed any more

Since : 1.4

#### GstGL.GLWindow.prototype.set_close_callback

    function GstGL.GLWindow.prototype.set_close_callback(callback: GstGL.GLWindowCB, data: Object): {
        // javascript wrapper for 'gst_gl_window_set_close_callback'
    }

Sets the callback called when the window is about to close.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (Object) –

data to invoke callback with

Since : 1.4

#### GstGL.GLWindow.set_close_callback

    def GstGL.GLWindow.set_close_callback (self, callback, *data):
        #python wrapper for 'gst_gl_window_set_close_callback'

Sets the callback called when the window is about to close.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (variadic) –

data to invoke callback with

Since : 1.4

#### gst_gl_window_set_draw_callback

    gst_gl_window_set_draw_callback (GstGLWindow * window,
                                     GstGLWindowCB callback,
                                     gpointer data,
                                     GDestroyNotify destroy_notify)

Sets the draw callback called every time gst_gl_window_draw is called

Parameters:

`window` –

a GstGLWindow

`callback` ( [scope notified][closure]) –

function to invoke

`data` –

data to invoke callback with

`destroy_notify` –

called when data is not needed any more

Since : 1.4

#### GstGL.GLWindow.prototype.set_draw_callback

    function GstGL.GLWindow.prototype.set_draw_callback(callback: GstGL.GLWindowCB, data: Object): {
        // javascript wrapper for 'gst_gl_window_set_draw_callback'
    }

Sets the draw callback called every time GstGL.GLWindow.prototype.draw is called

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (Object) –

data to invoke callback with

Since : 1.4

#### GstGL.GLWindow.set_draw_callback

    def GstGL.GLWindow.set_draw_callback (self, callback, *data):
        #python wrapper for 'gst_gl_window_set_draw_callback'

Sets the draw callback called every time GstGL.GLWindow.draw is called

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowCB) –

function to invoke

`data` (variadic) –

data to invoke callback with

Since : 1.4

#### gst_gl_window_set_preferred_size

    gst_gl_window_set_preferred_size (GstGLWindow * window,
                                      gint width,
                                      gint height)

Set the preferred width and height of the window. Implementations are free to ignore this information.

Parameters:

`window` –

a GstGLWindow

`width` –

new preferred width

`height` –

new preferred height

Since : 1.6

#### GstGL.GLWindow.prototype.set_preferred_size

    function GstGL.GLWindow.prototype.set_preferred_size(width: Number, height: Number): {
        // javascript wrapper for 'gst_gl_window_set_preferred_size'
    }

Set the preferred width and height of the window. Implementations are free to ignore this information.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`width` (Number) –

new preferred width

`height` (Number) –

new preferred height

Since : 1.6

#### GstGL.GLWindow.set_preferred_size

    def GstGL.GLWindow.set_preferred_size (self, width, height):
        #python wrapper for 'gst_gl_window_set_preferred_size'

Set the preferred width and height of the window. Implementations are free to ignore this information.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`width` (int) –

new preferred width

`height` (int) –

new preferred height

Since : 1.6

#### gst_gl_window_set_render_rectangle

    gboolean
    gst_gl_window_set_render_rectangle (GstGLWindow * window,
                                        gint x,
                                        gint y,
                                        gint width,
                                        gint height)

Tell a window that it should render into a specific region of the window according to the GstVideoOverlay interface.

Parameters:

`window` –

a GstGLWindow

`x` –

x position

`y` –

y position

`width` –

width

`height` –

height

Returns –

whether the specified region could be set

#### GstGL.GLWindow.prototype.set_render_rectangle

    function GstGL.GLWindow.prototype.set_render_rectangle(x: Number, y: Number, width: Number, height: Number): {
        // javascript wrapper for 'gst_gl_window_set_render_rectangle'
    }

Tell a window that it should render into a specific region of the window according to the GstVideo.VideoOverlay interface.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`x` (Number) –

x position

`y` (Number) –

y position

`width` (Number) –

width

`height` (Number) –

height

Returns (Number) –

whether the specified region could be set

#### GstGL.GLWindow.set_render_rectangle

    def GstGL.GLWindow.set_render_rectangle (self, x, y, width, height):
        #python wrapper for 'gst_gl_window_set_render_rectangle'

Tell a window that it should render into a specific region of the window according to the GstVideo.VideoOverlay interface.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`x` (int) –

x position

`y` (int) –

y position

`width` (int) –

width

`height` (int) –

height

Returns (bool) –

whether the specified region could be set

#### gst_gl_window_set_request_output_surface

    gst_gl_window_set_request_output_surface (GstGLWindow * window,
                                              gboolean output_surface)

Configure whether a visible output surface is requested.

Parameters:

`window` –

a GstGLWindow

`output_surface` –

whether to request an output surface.

Since : 1.28

#### GstGL.GLWindow.prototype.set_request_output_surface

    function GstGL.GLWindow.prototype.set_request_output_surface(output_surface: Number): {
        // javascript wrapper for 'gst_gl_window_set_request_output_surface'
    }

Configure whether a visible output surface is requested.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`output_surface` (Number) –

whether to request an output surface.

Since : 1.28

#### GstGL.GLWindow.set_request_output_surface

    def GstGL.GLWindow.set_request_output_surface (self, output_surface):
        #python wrapper for 'gst_gl_window_set_request_output_surface'

Configure whether a visible output surface is requested.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`output_surface` (bool) –

whether to request an output surface.

Since : 1.28

#### gst_gl_window_set_resize_callback

    gst_gl_window_set_resize_callback (GstGLWindow * window,
                                       GstGLWindowResizeCB callback,
                                       gpointer data,
                                       GDestroyNotify destroy_notify)

Sets the resize callback called every time a resize of the window occurs.

Parameters:

`window` –

a GstGLWindow

`callback` ( [scope notified][closure]) –

function to invoke

`data` –

data to invoke callback with

`destroy_notify` –

called when data is not needed any more

Since : 1.4

#### GstGL.GLWindow.prototype.set_resize_callback

    function GstGL.GLWindow.prototype.set_resize_callback(callback: GstGL.GLWindowResizeCB, data: Object): {
        // javascript wrapper for 'gst_gl_window_set_resize_callback'
    }

Sets the resize callback called every time a resize of the window occurs.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowResizeCB) –

function to invoke

`data` (Object) –

data to invoke callback with

Since : 1.4

#### GstGL.GLWindow.set_resize_callback

    def GstGL.GLWindow.set_resize_callback (self, callback, *data):
        #python wrapper for 'gst_gl_window_set_resize_callback'

Sets the resize callback called every time a resize of the window occurs.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`callback` (GstGL.GLWindowResizeCB) –

function to invoke

`data` (variadic) –

data to invoke callback with

Since : 1.4

#### gst_gl_window_set_window_handle

    gst_gl_window_set_window_handle (GstGLWindow * window,
                                     guintptr handle)

Sets the window that this window should render into. Some implementations require this to be called with a valid handle before drawing can commence.

Parameters:

`window` –

a GstGLWindow

`handle` –

handle to the window

Since : 1.4

#### GstGL.GLWindow.prototype.set_window_handle

    function GstGL.GLWindow.prototype.set_window_handle(handle: Number): {
        // javascript wrapper for 'gst_gl_window_set_window_handle'
    }

Sets the window that this window should render into. Some implementations require this to be called with a valid handle before drawing can commence.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`handle` (Number) –

handle to the window

Since : 1.4

#### GstGL.GLWindow.set_window_handle

    def GstGL.GLWindow.set_window_handle (self, handle):
        #python wrapper for 'gst_gl_window_set_window_handle'

Sets the window that this window should render into. Some implementations require this to be called with a valid handle before drawing can commence.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

`handle` (int) –

handle to the window

Since : 1.4

#### gst_gl_window_show

    gst_gl_window_show (GstGLWindow * window)

Present the window to the screen.

Parameters:

`window` –

a GstGLWindow

Since : 1.6

#### GstGL.GLWindow.prototype.show

    function GstGL.GLWindow.prototype.show(): {
        // javascript wrapper for 'gst_gl_window_show'
    }

Present the window to the screen.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.6

#### GstGL.GLWindow.show

    def GstGL.GLWindow.show (self):
        #python wrapper for 'gst_gl_window_show'

Present the window to the screen.

Parameters:

`window` (GstGL.GLWindow) –

a GstGL.GLWindow

Since : 1.6

### Signals

#### key-event

    key_event_callback (GstGLWindow * self,
                        gchar * id,
                        gchar * key,
                        gpointer user_data)

Will be emitted when a key event is received by the GstGLwindow.

Parameters:

`self` –
No description available
`id` –

the name of the event

`key` –

the id of the key pressed

`user_data` –
No description available

Flags: Run Last

Since : 1.6

#### key-event

    function key_event_callback(self: GstGL.GLWindow, id: String, key: String, user_data: Object): {
        // javascript callback for the 'key-event' signal
    }

Will be emitted when a key event is received by the GstGLwindow.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`id` (String) –

the name of the event

`key` (String) –

the id of the key pressed

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.6

#### key-event

    def key_event_callback (self, id, key, *user_data):
        #python callback for the 'key-event' signal

Will be emitted when a key event is received by the GstGLwindow.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`id` (str) –

the name of the event

`key` (str) –

the id of the key pressed

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.6

#### mouse-event

    mouse_event_callback (GstGLWindow * self,
                          gchar * id,
                          gint button,
                          gdouble x,
                          gdouble y,
                          gpointer user_data)

Will be emitted when a mouse event is received by the GstGLwindow.

Parameters:

`self` –
No description available
`id` –

the name of the event

`button` –

the id of the button

`x` –

the x coordinate of the mouse event

`y` –

the y coordinate of the mouse event

`user_data` –
No description available

Flags: Run Last

Since : 1.6

#### mouse-event

    function mouse_event_callback(self: GstGL.GLWindow, id: String, button: Number, x: Number, y: Number, user_data: Object): {
        // javascript callback for the 'mouse-event' signal
    }

Will be emitted when a mouse event is received by the GstGLwindow.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`id` (String) –

the name of the event

`button` (Number) –

the id of the button

`x` (Number) –

the x coordinate of the mouse event

`y` (Number) –

the y coordinate of the mouse event

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.6

#### mouse-event

    def mouse_event_callback (self, id, button, x, y, *user_data):
        #python callback for the 'mouse-event' signal

Will be emitted when a mouse event is received by the GstGLwindow.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`id` (str) –

the name of the event

`button` (int) –

the id of the button

`x` (float) –

the x coordinate of the mouse event

`y` (float) –

the y coordinate of the mouse event

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.6

#### scroll-event

    scroll_event_callback (GstGLWindow * self,
                           gdouble x,
                           gdouble y,
                           gdouble delta_x,
                           gdouble delta_y,
                           gpointer user_data)

Will be emitted when a mouse scroll event is received by the GstGLwindow.

Parameters:

`self` –
No description available
`x` –

the x coordinate of the mouse event

`y` –

the y coordinate of the mouse event

`delta_x` –

the x offset of the scroll event

`delta_y` –

the y offset of the scroll event

`user_data` –
No description available

Flags: Run Last

Since : 1.18

#### scroll-event

    function scroll_event_callback(self: GstGL.GLWindow, x: Number, y: Number, delta_x: Number, delta_y: Number, user_data: Object): {
        // javascript callback for the 'scroll-event' signal
    }

Will be emitted when a mouse scroll event is received by the GstGLwindow.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`x` (Number) –

the x coordinate of the mouse event

`y` (Number) –

the y coordinate of the mouse event

`delta_x` (Number) –

the x offset of the scroll event

`delta_y` (Number) –

the y offset of the scroll event

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.18

#### scroll-event

    def scroll_event_callback (self, x, y, delta_x, delta_y, *user_data):
        #python callback for the 'scroll-event' signal

Will be emitted when a mouse scroll event is received by the GstGLwindow.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`x` (float) –

the x coordinate of the mouse event

`y` (float) –

the y coordinate of the mouse event

`delta_x` (float) –

the x offset of the scroll event

`delta_y` (float) –

the y offset of the scroll event

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.18

#### window-handle-changed

    window_handle_changed_callback (GstGLWindow * self,
                                    gpointer user_data)

Will be emitted when the window handle has been set into the native implementation, but before the context is re-activated. By using this signal, elements can refresh associated resource without relying on direct handle comparision.

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

Since : 1.20

#### window-handle-changed

    function window_handle_changed_callback(self: GstGL.GLWindow, user_data: Object): {
        // javascript callback for the 'window-handle-changed' signal
    }

Will be emitted when the window handle has been set into the native implementation, but before the context is re-activated. By using this signal, elements can refresh associated resource without relying on direct handle comparision.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.20

#### window-handle-changed

    def window_handle_changed_callback (self, *user_data):
        #python callback for the 'window-handle-changed' signal

Will be emitted when the window handle has been set into the native implementation, but before the context is re-activated. By using this signal, elements can refresh associated resource without relying on direct handle comparision.

Parameters:

`self` (GstGL.GLWindow) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.20

### Virtual Methods

#### close

    close (GstGLWindow * window)

close the connection to the display

Parameters:

`window` –
No description available

#### vfunc_close

    function vfunc_close(window: GstGL.GLWindow): {
        // javascript implementation of the 'close' virtual method
    }

close the connection to the display

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### do_close

    def do_close (window):
        #python implementation of the 'close' virtual method

close the connection to the display

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### controls_viewport

    gboolean
    controls_viewport (GstGLWindow * window)

Whether the window takes care of glViewport setup. and the user does not need to deal with viewports

Parameters:

`window` –
No description available
Returns –
No description available

#### vfunc_controls_viewport

    function vfunc_controls_viewport(window: GstGL.GLWindow): {
        // javascript implementation of the 'controls_viewport' virtual method
    }

Whether the window takes care of glViewport setup. and the user does not need to deal with viewports

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (Number) –
No description available

#### do_controls_viewport

    def do_controls_viewport (window):
        #python implementation of the 'controls_viewport' virtual method

Whether the window takes care of glViewport setup. and the user does not need to deal with viewports

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (bool) –
No description available

#### draw

    draw (GstGLWindow * window)

redraw the window with the specified dimensions

Parameters:

`window` –
No description available

#### vfunc_draw

    function vfunc_draw(window: GstGL.GLWindow): {
        // javascript implementation of the 'draw' virtual method
    }

redraw the window with the specified dimensions

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### do_draw

    def do_draw (window):
        #python implementation of the 'draw' virtual method

redraw the window with the specified dimensions

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### get_display

    guintptr
    get_display (GstGLWindow * window)

Gets the current windowing system display connection

Parameters:

`window` –
No description available
Returns –
No description available

#### vfunc_get_display

    function vfunc_get_display(window: GstGL.GLWindow): {
        // javascript implementation of the 'get_display' virtual method
    }

Gets the current windowing system display connection

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (Number) –
No description available

#### do_get_display

    def do_get_display (window):
        #python implementation of the 'get_display' virtual method

Gets the current windowing system display connection

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (int) –
No description available

#### get_window_handle

    guintptr
    get_window_handle (GstGLWindow * window)

Gets the current window handle that this GstGLWindow is rendering into. This may return a different value to what is passed into set_window_handle

Parameters:

`window` –
No description available
Returns –
No description available

#### vfunc_get_window_handle

    function vfunc_get_window_handle(window: GstGL.GLWindow): {
        // javascript implementation of the 'get_window_handle' virtual method
    }

Gets the current window handle that this GstGL.GLWindow is rendering into. This may return a different value to what is passed into set_window_handle

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (Number) –
No description available

#### do_get_window_handle

    def do_get_window_handle (window):
        #python implementation of the 'get_window_handle' virtual method

Gets the current window handle that this GstGL.GLWindow is rendering into. This may return a different value to what is passed into set_window_handle

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (int) –
No description available

#### handle_events

    handle_events (GstGLWindow * window,
                   gboolean handle_events)

whether to handle 'extra' events from the windowing system. Basic events like surface moves and resizes are still valid things to listen for.

Parameters:

`window` –
No description available
`handle_events` –
No description available

#### vfunc_handle_events

    function vfunc_handle_events(window: GstGL.GLWindow, handle_events: Number): {
        // javascript implementation of the 'handle_events' virtual method
    }

whether to handle 'extra' events from the windowing system. Basic events like surface moves and resizes are still valid things to listen for.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`handle_events` (Number) –
No description available

#### do_handle_events

    def do_handle_events (window, handle_events):
        #python implementation of the 'handle_events' virtual method

whether to handle 'extra' events from the windowing system. Basic events like surface moves and resizes are still valid things to listen for.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`handle_events` (bool) –
No description available

#### has_output_surface

    gboolean
    has_output_surface (GstGLWindow * window)

Whether the window has output surface or not. (Since: 1.18)

Parameters:

`window` –
No description available
Returns –
No description available

#### vfunc_has_output_surface

    function vfunc_has_output_surface(window: GstGL.GLWindow): {
        // javascript implementation of the 'has_output_surface' virtual method
    }

Whether the window has output surface or not. (Since: 1.18)

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (Number) –
No description available

#### do_has_output_surface

    def do_has_output_surface (window):
        #python implementation of the 'has_output_surface' virtual method

Whether the window has output surface or not. (Since: 1.18)

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (bool) –
No description available

#### open

    gboolean
    open (GstGLWindow * window,
          GError ** error)

open the connection to the display

Parameters:

`window` –
No description available
`error` –
No description available
Returns –
No description available

#### vfunc_open

    function vfunc_open(window: GstGL.GLWindow): {
        // javascript implementation of the 'open' virtual method
    }

open the connection to the display

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (Number) –
No description available

#### do_open

    def do_open (window):
        #python implementation of the 'open' virtual method

open the connection to the display

Parameters:

`window` (GstGL.GLWindow) –
No description available
Returns (bool) –
No description available

#### queue_resize

    queue_resize (GstGLWindow * window)

request a resize to occur when possible

Parameters:

`window` –
No description available

#### vfunc_queue_resize

    function vfunc_queue_resize(window: GstGL.GLWindow): {
        // javascript implementation of the 'queue_resize' virtual method
    }

request a resize to occur when possible

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### do_queue_resize

    def do_queue_resize (window):
        #python implementation of the 'queue_resize' virtual method

request a resize to occur when possible

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### quit

    quit (GstGLWindow * window)

send a quit to the mainloop

Parameters:

`window` –
No description available

#### vfunc_quit

    function vfunc_quit(window: GstGL.GLWindow): {
        // javascript implementation of the 'quit' virtual method
    }

send a quit to the mainloop

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### do_quit

    def do_quit (window):
        #python implementation of the 'quit' virtual method

send a quit to the mainloop

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### run

    run (GstGLWindow * window)

run the mainloop

Parameters:

`window` –
No description available

#### vfunc_run

    function vfunc_run(window: GstGL.GLWindow): {
        // javascript implementation of the 'run' virtual method
    }

run the mainloop

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### do_run

    def do_run (window):
        #python implementation of the 'run' virtual method

run the mainloop

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### send_message

    send_message (GstGLWindow * window,
                  GstGLWindowCB callback,
                  gpointer data)

invoke a function on the window thread. Required to be reentrant.

Parameters:

`window` –
No description available
`callback` –
No description available
`data` –
No description available

#### vfunc_send_message

    function vfunc_send_message(window: GstGL.GLWindow, callback: GstGL.GLWindowCB, data: Object): {
        // javascript implementation of the 'send_message' virtual method
    }

invoke a function on the window thread. Required to be reentrant.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`callback` (GstGL.GLWindowCB) –
No description available
`data` (Object) –
No description available

#### do_send_message

    def do_send_message (window, callback, *data):
        #python implementation of the 'send_message' virtual method

invoke a function on the window thread. Required to be reentrant.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`callback` (GstGL.GLWindowCB) –
No description available
`data` (variadic) –
No description available

#### send_message_async

    send_message_async (GstGLWindow * window,
                        GstGLWindowCB callback,
                        gpointer data,
                        GDestroyNotify destroy)

invoke a function on the window thread. run may or may not have been called. Required to be reentrant.

Parameters:

`window` –
No description available
`callback` –
No description available
`data` –
No description available
`destroy` –
No description available

#### vfunc_send_message_async

    function vfunc_send_message_async(window: GstGL.GLWindow, callback: GstGL.GLWindowCB, data: Object): {
        // javascript implementation of the 'send_message_async' virtual method
    }

invoke a function on the window thread. run may or may not have been called. Required to be reentrant.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`callback` (GstGL.GLWindowCB) –
No description available
`data` (Object) –
No description available

#### do_send_message_async

    def do_send_message_async (window, callback, *data):
        #python implementation of the 'send_message_async' virtual method

invoke a function on the window thread. run may or may not have been called. Required to be reentrant.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`callback` (GstGL.GLWindowCB) –
No description available
`data` (variadic) –
No description available

#### set_preferred_size

    set_preferred_size (GstGLWindow * window,
                        gint width,
                        gint height)

request that the window change surface size. The implementation is free to ignore this information.

Parameters:

`window` –
No description available
`width` –
No description available
`height` –
No description available

#### vfunc_set_preferred_size

    function vfunc_set_preferred_size(window: GstGL.GLWindow, width: Number, height: Number): {
        // javascript implementation of the 'set_preferred_size' virtual method
    }

request that the window change surface size. The implementation is free to ignore this information.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`width` (Number) –
No description available
`height` (Number) –
No description available

#### do_set_preferred_size

    def do_set_preferred_size (window, width, height):
        #python implementation of the 'set_preferred_size' virtual method

request that the window change surface size. The implementation is free to ignore this information.

Parameters:

`window` (GstGL.GLWindow) –
No description available
`width` (int) –
No description available
`height` (int) –
No description available

#### set_render_rectangle

    gboolean
    set_render_rectangle (GstGLWindow * window,
                          gint x,
                          gint y,
                          gint width,
                          gint height)

request a rectangle to render into. See GstVideoOverlay

Parameters:

`window` –
No description available
`x` –
No description available
`y` –
No description available
`width` –
No description available
`height` –
No description available
Returns –
No description available

#### vfunc_set_render_rectangle

    function vfunc_set_render_rectangle(window: GstGL.GLWindow, x: Number, y: Number, width: Number, height: Number): {
        // javascript implementation of the 'set_render_rectangle' virtual method
    }

request a rectangle to render into. See GstVideo.VideoOverlay

Parameters:

`window` (GstGL.GLWindow) –
No description available
`x` (Number) –
No description available
`y` (Number) –
No description available
`width` (Number) –
No description available
`height` (Number) –
No description available
Returns (Number) –
No description available

#### do_set_render_rectangle

    def do_set_render_rectangle (window, x, y, width, height):
        #python implementation of the 'set_render_rectangle' virtual method

request a rectangle to render into. See GstVideo.VideoOverlay

Parameters:

`window` (GstGL.GLWindow) –
No description available
`x` (int) –
No description available
`y` (int) –
No description available
`width` (int) –
No description available
`height` (int) –
No description available
Returns (bool) –
No description available

#### set_window_handle

    set_window_handle (GstGLWindow * window,
                       guintptr handle)

Set a window handle to render into

Parameters:

`window` –
No description available
`handle` –
No description available

#### vfunc_set_window_handle

    function vfunc_set_window_handle(window: GstGL.GLWindow, handle: Number): {
        // javascript implementation of the 'set_window_handle' virtual method
    }

Set a window handle to render into

Parameters:

`window` (GstGL.GLWindow) –
No description available
`handle` (Number) –
No description available

#### do_set_window_handle

    def do_set_window_handle (window, handle):
        #python implementation of the 'set_window_handle' virtual method

Set a window handle to render into

Parameters:

`window` (GstGL.GLWindow) –
No description available
`handle` (int) –
No description available

#### show

    show (GstGLWindow * window)

request that the window be shown to the user

Parameters:

`window` –
No description available

#### vfunc_show

    function vfunc_show(window: GstGL.GLWindow): {
        // javascript implementation of the 'show' virtual method
    }

request that the window be shown to the user

Parameters:

`window` (GstGL.GLWindow) –
No description available

#### do_show

    def do_show (window):
        #python implementation of the 'show' virtual method

request that the window be shown to the user

Parameters:

`window` (GstGL.GLWindow) –
No description available

## Functions

### gst_gl_window_error_quark

    GQuark
    gst_gl_window_error_quark ()

Returns –

the quark used for GstGLWindow in GError's

### GstGL.prototype.gl_window_error_quark

    function GstGL.prototype.gl_window_error_quark(): {
        // javascript wrapper for 'gst_gl_window_error_quark'
    }

Returns (GLib.Quark) –

the quark used for GstGL.GLWindow in GError (not introspectable)'s

### GstGL.gl_window_error_quark

    def GstGL.gl_window_error_quark ():
        #python wrapper for 'gst_gl_window_error_quark'

Returns (GLib.Quark) –

the quark used for GstGL.GLWindow in GError (not introspectable)'s

## Function Macros

### GST_GL_WINDOW_CB

    #define GST_GL_WINDOW_CB(f)			 ((GstGLWindowCB) (f))

Cast to the current function type for generic window callbacks

Parameters:

`f` –

the function to cast

### GST_GL_WINDOW_GET_LOCK

    #define GST_GL_WINDOW_GET_LOCK(w) (&GST_GL_WINDOW(w)->lock)

### GST_GL_WINDOW_LOCK

    #define GST_GL_WINDOW_LOCK(w) g_mutex_lock(&GST_GL_WINDOW(w)->lock)

### GST_GL_WINDOW_RESIZE_CB

    #define GST_GL_WINDOW_RESIZE_CB(f)		 ((GstGLWindowResizeCB) (f))

Cast to the current function type for window resize callbacks

Parameters:

`f` –

the function to cast

### GST_GL_WINDOW_UNLOCK

    #define GST_GL_WINDOW_UNLOCK(w) g_mutex_unlock(&GST_GL_WINDOW(w)->lock)

## Enumerations

### GstGLWindowError

##### Members

`GST_GL_WINDOW_ERROR_FAILED` (0) –

failed for a unspecified reason

`GST_GL_WINDOW_ERROR_OLD_LIBS` (1) –

the implementation is too old

`GST_GL_WINDOW_ERROR_RESOURCE_UNAVAILABLE` (2) –

no such resource was found

### GstGL.GLWindowError

##### Members

`GstGL.GLWindowError.FAILED` (0) –

failed for a unspecified reason

`GstGL.GLWindowError.OLD_LIBS` (1) –

the implementation is too old

`GstGL.GLWindowError.RESOURCE_UNAVAILABLE` (2) –

no such resource was found

### GstGL.GLWindowError

##### Members

`GstGL.GLWindowError.FAILED` (0) –

failed for a unspecified reason

`GstGL.GLWindowError.OLD_LIBS` (1) –

the implementation is too old

`GstGL.GLWindowError.RESOURCE_UNAVAILABLE` (2) –

no such resource was found

## Constants

### GST_GL_WINDOW_ERROR

    #define GST_GL_WINDOW_ERROR (gst_gl_window_error_quark ())

Error domain for GStreamer's GL window module. Errors in this domain will be from the GstGLWindowError enumeration

## Callbacks

### GstGLWindowCB

    (*GstGLWindowCB) (gpointer data)

Parameters:

`data` –
No description available

### GstGL.GLWindowCB

    function GstGL.GLWindowCB(data: Object): {
        // javascript wrapper for 'GstGLWindowCB'
    }

Parameters:

`data` (Object) –
No description available

### GstGL.GLWindowCB

    def GstGL.GLWindowCB (data):
        #python wrapper for 'GstGLWindowCB'

Parameters:

`data` (object) –
No description available

### GstGLWindowResizeCB

    (*GstGLWindowResizeCB) (gpointer data,
                            guint width,
                            guint height)

Parameters:

`data` –
No description available
`width` –
No description available
`height` –
No description available

### GstGL.GLWindowResizeCB

    function GstGL.GLWindowResizeCB(data: Object, width: Number, height: Number): {
        // javascript wrapper for 'GstGLWindowResizeCB'
    }

Parameters:

`data` (Object) –
No description available
`width` (Number) –
No description available
`height` (Number) –
No description available

### GstGL.GLWindowResizeCB

    def GstGL.GLWindowResizeCB (data, width, height):
        #python wrapper for 'GstGLWindowResizeCB'

Parameters:

`data` (object) –
No description available
`width` (int) –
No description available
`height` (int) –
No description available

The results of the search are